{
  "name": "base",
  "version": "1.0.0",
  "description": "一套基于vue3、element-plus、typesScript、vite4的后台集成方案。",
  "private": true,
  "type": "module",
  "scripts": {
    "i": "pnpm install",
    "dev": "pnpm vite --mode base",
    "ts:check": "pnpm vue-tsc --noEmit --skipLibCheck",
    "build": "pnpm vite build --mode dev",
    "build:pro": "pnpm vite build --mode pro",
    "build:dev": "pnpm vite build --mode dev",
    "build:test": "pnpm vite build --mode test",
    "serve:pro": "pnpm vite preview --mode pro",
    "serve:dev": "pnpm vite preview --mode dev",
    "serve:test": "pnpm vite preview --mode test",
    "npm:check": "pnpx npm-check-updates -u",
    "clean": "pnpx rimraf node_modules",
    "clean:cache": "pnpx rimraf node_modules/.cache",
    "lint:eslint": "eslint . --fix \"src/**/*.{js,ts,tsx,vue,html}\"",
    "lint:format": "prettier --write --loglevel warn \"src/**/*.{js,ts,json,tsx,css,less,vue,html,md}\"",
    "lint:style": "stylelint --fix \"**/*.{vue,less,postcss,css,scss}\" --cache --cache-location node_modules/.cache/stylelint/",
    "lint:lint-staged": "lint-staged -c ./.husky/lintstagedrc.cjs",
    "p": "plop"
  },
  "packageManager": "pnpm@8.1.0",
  "engines": {
    "node": ">=18.0.0",
    "pnpm": ">=8.1.0"
  },
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "http://112.124.9.106:10300/one_health/web.git"
  },
  "dependencies": {
    "@component-lib/ai-robot": "workspace:^"
  }
}
